Page MenuHomePhabricator

EntityHandler::getTitleForId should handle FormIDs
Closed, ResolvedPublic

Description

Background: when adding entity data to ParserOutput, there is a fatal error when the form is used in the statement on the property (see: T192766)

'content-handler-factory-callback' for forms generates LexemeHandler instance which should probably be replaced by some more specialized implementation that can handle FormIDs in getTitleForId method.

Event Timeline

WMDE-leszek triaged this task as High priority.Apr 25 2018, 11:01 AM
WMDE-leszek created this task.
WMDE-leszek updated the task description. (Show Details)Apr 25 2018, 11:22 AM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Turtles-Sprint#4 board.

Change 429157 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] EntityHandler::getTitleForId should handle FormIds

https://gerrit.wikimedia.org/r/429157

Change 429399 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Use TypeDispatchingEntityTitleStoreLookup instead of EntityContentFactory

https://gerrit.wikimedia.org/r/429399

For the record, the proposed patch does not make EntityHandler::getTitleForId handle forms, but instead ensures that the custom TitleLookup for forms is used instead

Change 429399 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use TypeDispatchingEntityTitleStoreLookup instead of EntityContentFactory

https://gerrit.wikimedia.org/r/429399

Change 429157 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Test that forms can be added as data values in statements on properties

https://gerrit.wikimedia.org/r/429157

Jakob_WMDE closed this task as Resolved.May 2 2018, 8:52 AM
Vvjjkkii renamed this task from EntityHandler::getTitleForId should handle FormIDs to 29daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jakob_WMDE as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from 29daaaaaaa to EntityHandler::getTitleForId should handle FormIDs.Jul 1 2018, 8:19 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Jakob_WMDE.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: gerritbot, Aklapper.